Package: groovy.org.codenarc.report

## [Groovy] Class ReportWriterFactory

- groovy.org.codenarc.report.ReportWriterFactory

- Factory for ReportWriter objects based on the report type (name).

  The passed in `type` can either be one of the predefined type names: "html", "xml", "console", "ide", "inlineXml", or else it can specify the fully-qualified class name of a class (accessible on the classpath) that implements the `org.codenarc.report.ReportWriter` interface.

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ReportWriter` | `getReportWriter(String type)`
    `` | `ReportWriter` | `getReportWriter(String type, Map options)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### ReportWriter getReportWriter(String type)

    - #### ReportWriter getReportWriter(String type, Map options)